ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-22568) Oozie Fails To Restart During Upgrade Because of Missing ExtJS Library
Date Fri, 01 Dec 2017 04:42:00 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-22568?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16273934#comment-16273934
] 

Hudson commented on AMBARI-22568:
---------------------------------

FAILURE: Integrated in Jenkins build Ambari-branch-2.6 #515 (See [https://builds.apache.org/job/Ambari-branch-2.6/515/])
AMBARI-22568 - Oozie Fails To Restart During Upgrade Because of Missing (jhurley: [http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=306b9a5eeb10d683e4f1ce70031e412b28c4a707])
* (edit) ambari-common/src/main/python/resource_management/libraries/functions/constants.py
* (edit) ambari-server/src/main/resources/stacks/HDP/2.0.6/properties/stack_features.json
* (edit) ambari-server/src/main/resources/common-services/OOZIE/4.0.0.2.0/package/scripts/oozie_server_upgrade.py
* (edit) ambari-server/src/test/python/stacks/2.0.6/OOZIE/test_oozie_server.py


> Oozie Fails To Restart During Upgrade Because of Missing ExtJS Library
> ----------------------------------------------------------------------
>
>                 Key: AMBARI-22568
>                 URL: https://issues.apache.org/jira/browse/AMBARI-22568
>             Project: Ambari
>          Issue Type: Bug
>    Affects Versions: 2.6.1
>            Reporter: Jonathan Hurley
>            Assignee: Jonathan Hurley
>            Priority: Blocker
>             Fix For: 2.6.1
>
>         Attachments: AMBARI-22568.patch
>
>
> 1) Deployed cluster with Ambari version: 2.6.1.0-65 and HDP version: 2.6.3.0-215
> 2) Express upgrade to target version 2.6.4.0-52
> Oozie Server Restart fails with below error:
> {code:java}
> Traceback (most recent call last):
>   File "/var/lib/ambari-agent/cache/common-services/OOZIE/4.0.0.2.0/package/scripts/oozie_server.py",
line 150, in <module>
>     OozieServer().execute()
>   File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 367, in execute
>     method(env)
>   File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 946, in restart
>     self.pre_upgrade_restart(env, upgrade_type=upgrade_type)
>   File "/var/lib/ambari-agent/cache/common-services/OOZIE/4.0.0.2.0/package/scripts/oozie_server.py",
line 123, in pre_upgrade_restart
>     OozieUpgrade.prepare_libext_directory(upgrade_type=upgrade_type)
>   File "/var/lib/ambari-agent/cache/common-services/OOZIE/4.0.0.2.0/package/scripts/oozie_server_upgrade.py",
line 113, in prepare_libext_directory
>     raise Fail("Unable to find any Oozie source extension files from the following paths
{0}".format(source_ext_zip_paths))
> resource_management.core.exceptions.Fail: Unable to find any Oozie source extension files
from the following paths ['/usr/share/HDP-oozie/ext-2.2.zip', '/var/lib/oozie/ext-2.2.zip']
> {code}
> This is because we have removed the requirement of having ExtJS in the cluster.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message